Bug 210423 - (volp) Review Request: snitch - a powerful packet-shaping utility
Review Request: snitch - a powerful packet-shaping utility
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
http://snitch.sourceforge.net/
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2006-10-11 19:10 EDT by Walter Cervini
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-24 12:27:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Walter Cervini 2006-10-11 19:10:14 EDT
Spec URL: http://www.softwarelibre777.com/volp/snitch.spec
SRPM URL: http://www.softwarelibre777.com/volp/snitch-0.0.1-0.fc5.volp.src.rpm
Description: Snitch  parses  a  configuration file which you provide (see the snitch README for instructions on how to make a config file)  and  creates  tc
(traffic control) commands which, when you run them, will configure the
built-in packetshaping utilities of your Linux box.   The  tc  commands
are written to STDOUT.
It  was  written  in conjunction with another project, l7-filter, which
consists of a kernel patch to allow shaping on application-level proto-
cols.  Both projects can be found on SourceForge
Comment 1 Walter Cervini 2006-10-11 19:19:23 EDT
This is my first Packages.
I'm looking for a Sponsor
Comment 2 Ed Hill 2006-10-11 20:58:28 EDT
Hi Walter, are you sure you meant to close this bug?  If not, please take
a look at the other review requests and see how they were setup:

https://bugzilla.redhat.com/bugzilla/showdependencytree.cgi?id=FE-NEW&hide_resolved=1
Comment 3 Ed Hill 2006-10-14 21:23:36 EDT
Hi Walter, I'm afraid this package needs a lot of work before it is 
of acceptable quality for Fedora Extras.  If you are serious about FE 
and would like to continue the process then please do the following:

 1) Please carefully read ALL of these two pages:

      http://fedoraproject.org/wiki/Packaging/Guidelines
      http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

    and verify and (where necessary) fix your package so that it 
    follows all of the rules, guidelines, etc.

 2) Please look at some successful past submissions and see what 
    their spec files currently resemble.  There are a large number 
    of them in CVS which you can see on-line at:

      http://cvs.fedora.redhat.com/viewcvs/rpms/?root=extras

    and it is a good idea to study and emulate them -- especially 
    those that might be similar in type/function.

 3) Please consider packing something else for your first attempt.
    The home page for snitch says:

       "Snitch is not really functional and is not under 
        active development."

    which is not an encouraging statement!


Also, I noticed that you requested sponsorship.  According to:

  http://fedoraproject.org/wiki/Extras/Contributors

you should send the request only after your first package has been 
approved.
Comment 4 Mamoru TASAKA 2006-12-26 21:29:54 EST
Changing the status to NEEDINFO from reporter.
Comment 5 Mamoru TASAKA 2007-01-24 09:28:34 EST
I will close this bug as NOTABUG if any response is received
from reporter within a week.
Comment 6 Mamoru TASAKA 2007-05-24 12:27:27 EDT
Closing as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.